Bug 203149 - smb: URIs get sanitized
smb: URIs get sanitized
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian Festi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-18 13:00 EDT by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.7.26-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-23 13:18:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-08-18 13:00:24 EDT
Version-Release number of selected component (if applicable):
0.7.25-1

When editing an SMB queue, we fetch the printer attributes and use the
device-uri attribute to display the URI for editing.  However: CUPS gives us a
'sanitized' (i.e. without username/password) URI here.  I haven't tested to see
how much of a problem this is; in particular, I don't know whether it is
possible to accidentally overwrite the authentication details without explicitly
changing the URI.

The only way I can see to get the original URI is to fetch printers.conf and
parse it (ick).

It would be really great to be able to retrieve the authentication details.  In
the main printer tab we can show our own sanitized URI (using an ellipsis to
show that the information has been removed).  If we show an ellipsis in that
text entry we ought to make it uneditable too.
Comment 1 Tim Waugh 2006-08-23 13:18:31 EDT
ffesti's fix built into 0.7.26 (thanks!).

Note You need to log in before you can comment on or make changes to this bug.